%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name OpenGL
%define f_pkg_name opengl
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 2.2.1.1
Release: alt8

Summary: A binding for the OpenGL graphics system
License: BSD
Group: Development/Haskell

Packager: Alexander Myltsev <avm@altlinux.ru>

URL: http://www.haskell.org/HOpenGL/
Source: %f_pkg_name-%version.tar

BuildRequires: ghc libGL-devel libX11-devel libXext-devel libGLU-devel
BuildRequires(pre): rpm-build-haskell


%description
A Haskell binding for the OpenGL graphics system (GL, version
2.1) and its accompanying utility library (GLU, version 1.3).
OpenGL is the industry's most widely used and supported 2D and 3D
graphics application programming interface (API), incorporating
a broad set of rendering, texture mapping, special effects, and
other powerful visualization functions.  For more information
about OpenGL, please see: <http://www.opengl.org/>.


%prep
%setup -n %f_pkg_name-%version


%build
%hs_configure2
%hs_build

%install
%hs_setup copy --destdir=%buildroot
install -m 755 %f_pkg_name.pkg %buildroot%pkg_libdir

mkdir -p %buildroot%hs_pkgconfdir
install -D -m 644 %f_pkg_name.pkg %buildroot%hs_pkgconfdir/%f_pkg_name-%version.conf

%hs_gen_filelist

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE


%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
%doc LICENSE


%changelog
* Wed Dec 08 2010 Denis Smirnov <mithraen@altlinux.ru> 2.2.1.1-alt8
- ghc 7.0.1

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 2.2.1.1-alt7
- auto rebuild

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 2.2.1.1-alt6
- auto rebuild

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 2.2.1.1-alt3
- ghc 6.12.3

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 2.2.1.1-alt2.1.1.1
- rebuild with new haskell

* Wed Mar 17 2010 Denis Smirnov <mithraen@altlinux.ru> 2.2.1.1-alt2.1.1
- rebuild with new haskell

* Tue Dec 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 2.2.1.1-alt2.1
- NMU:
  * updated build dependencies

* Mon Dec 01 2008 Alexander Myltsev <avm@altlinux.ru> 2.2.1.1-alt2
- fix build dependencies.

* Fri Aug 08 2008 Alexander Myltsev <avm@altlinux.ru> 2.2.1.1-alt1
- spec file autogenerated by cabal-rpm
